Get Profile Users with Override Status

This API requires Account Administrator role.

Retrieves a paginated list of users assigned to a specific profile, including their override statuses for profile fields.

This endpoint provides detailed information about which profile fields (permissions, queues, spaces, attributes, groups, themes, etc.) each user has overridden from the profile defaults.

Override Fields Tracked:

  • permissions (nested structure)
  • queues (access, performance, autoLogin, proficiency, logins, defaultOutboundQueue, outboundQueueId)
  • spaces (task, email, phone, video, messaging)
  • tags
  • attributes
  • groups
  • appTheme
  • consoleTheme
  • timeZone
  • interactionViewsType
  • definedInteractionViews
  • modifyInteractionViews
  • commTypeChangeDefaultValue
  • defaultOutboundCallerId
  • locationId
  • dialPlanProfileId
  • deferEnabled
  • enableWebHID
  • enableErrorTones
  • allowInternalCalls
  • allowAgentEditAutoAnswer
  • allowAgentEditWebHIDHeadsetControl
  • rejectInteractions
  • previewOutbound
  • predictiveOutbound
  • persistentMedia

Filtering:

  • To filter on profile users that do or do not have overridden fields, use the hasOverrides query parameter

Pagination:

  • If pageNumber and pageSize are provided, results are paginated (filtering is applied before pagination)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length between 36 and 36
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

The unique identifier of a profile.

Query Params
int32
≥ 1
Defaults to 1

The page number of the records to retrieve.

int32
1 to 50
Defaults to 10

The max number of records to retrieve per page.

boolean

Filter users by override status. When true, only users who have at least one overridden field are returned.
When false, only users with no overrides are returned. When omitted, all users are returned regardless of override status.

string
length ≤ 100

Case-insensitive search string. Filters users whose first name, last name,
or email address contains the given text.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json